<!DOCTYPE html>
<html lang="en"  xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/xhtml">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://fonts.googleapis.com/css?family=Roboto:400,700" rel="stylesheet">
    <title>add transaction to user account</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>



    <link rel="shortcut icon" type="image/x-icon"
        href="https://img.icons8.com/cute-clipart/64/000000/login-rounded-right.png" />

    
     <!-- Custom style to overide some colors from native bootstrap styles -->
     <link href="../static/css/styleLoggingPage.css" rel="stylesheet"> <!-- link statyczny -->
     <link rel="stylesheet" th:href="@{/css/styleLoggingPage.css}"> <!-- link dynamiczny podczas pracy aplikacji -->

</head>

<body>
<div class="container">
    <div class="signup-form">
        <form action="#" method="post" th:action="@{/addTransactionToUser (id=${currentUser.id})}" th:object="${transaction}">
            <h2> New  </h2>
            <p class="hint-text">Add transaction to bank account</p>
            <div class="form-group">
                <div class="row">
                    <div class="col-xs">
                        <input type="text" class="form-control" name="volume" placeholder="volume"
                            required="required" th:field="*{cashAmount}">
                    </div>
                </div>

            </div>





            <!-- button to submit below -->
            <div class="form-group">
                <button type="submit" class="btn btn-success btn-lg btn-block">add new bank transaction</button>
            </div>

            <div class="col-sm">
                <a type="button" class="btn btn-primary" th:href="@{showUserList}">Back to user list</a>
            </div>

        </form>
    </div>





    </div>
</body>

</html>